FROM debian:bullseye

RUN apt-get update
RUN apt-get install -y devscripts

COPY ./debian raven/debian
WORKDIR /raven

ENV TOOL_ARGS apt-get -o Debug::pkgProblemResolver=yes --no-install-recommends --yes
RUN mk-build-deps --install --tool="$TOOL_ARGS" debian/control

CMD /raven/build-deb.sh
